﻿/* Retrieve the lowest 3 MSRP by Origin using a DATA step. */
proc sort data=sashelp.cars out=CarsSorted;
	by Origin MSRP;
run;

data CarsResults(keep=Origin MSRP);
	retain group_count;
	set CarsSorted;
	by origin MSRP;

	if first.origin then
		group_count = 0;
	group_count = group_count + 1;

	if group_count =< 3 then
		output;
run;