﻿/***************************************************************************/
/***************************************************************************/
/*Set the Data directory to export files */
%LET DataDir = %sysfunc(pathname(WORK));
filename infile "&DataDir";
filename zipfile ZIP 'c:\temp\ZipwithFilename.zip';

/* Write to the zip file, one text file at a time */
%macro WritetoZipwithFilename(File,Zipfolder);

data _null_;
	infile infile(&File..txt) ;
	file zipfile(&File..txt);
    input;
    put _infile_;
 run;



%mend;



%WritetoZipwithFilename(air,sashelp);
%WritetoZipwithFilename(class,sashelp);
%WritetoZipwithFilename(cars,sashelp);

/***************************************************************************/
/***************************************************************************/