﻿/* Retrieve the lowest 3 MSRP by Origin using a SQL. */
proc sql;

	create table CarsResults2 as
		select  Origin, MSRP
			from sashelp.cars as tdo
				where (
						(select count(*) from sashelp.cars as tdi
							where tdi.origin=tdo.origin and tdi.MSRP < tdo.MSRP
								)  <=2 )
		order by Origin, MSRP;

quit;