﻿/*Set the Data directory to export files */
%LET DataDir = %sysfunc(pathname(WORK));
%macro exportDataset(libref,file,DataDir);
PROC EXPORT DATA= &libref..&file 
            OUTFILE="&DataDir\&file..txt" 
            DBMS=TAB REPLACE;
     PUTNAMES=YES;
RUN;
%mend;
/* Export a few SAS files */
%exportDataset(sashelp,air,&DataDir)
%exportDataset(sashelp,cars,&DataDir)
%exportDataset(sashelp,class,&DataDir)