﻿/***************************************************************************/
/***************************************************************************/

/*Set the Data directory containing the files to zip*/
%LET DataDir = %sysfunc(pathname(WORK));

/* Open an ODS package destination. nopf is required since we do not want to use */
/* the Publishing Framework */
ods package(ZipOut) open nopf;

/* Add files to the package. You can also include a path if you desire */
ods package(ZipOut)  add file="&DataDir\air.txt" path='sashelp';
ods package(ZipOut)  add file="&DataDir\class.txt" path='sashelp';
ods package(ZipOut)  add file="&DataDir\cars.txt" path='sashelp';

/* Write out the package as a zip file */
ods package(ZipOut) publish archive
     properties(archive_name='ZipwithODS.zip'
     			archive_path='c:\temp');

/* Close the package destination. Your zip file is noew ready to use! */ 
ods package(ZipOut) close;

/***************************************************************************/
/***************************************************************************/